Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class ConfigurationConverter

    java.lang.Object
      org.apache.commons.configuration.ConfigurationConverter

    public final class ConfigurationConverter

extends Object

Configuration converter. Helper class to convert between Configuration, ExtendedProperties and standard Properties.

Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
Author:
  Martin Poeschl

Method Summary
`static Configuration` | `getConfiguration(ExtendedProperties eprops)` Convert a ExtendedProperties class into a Configuration class.
`static Configuration` | `getConfiguration(Properties props)` Convert a standard Properties class into a configuration class.
`static ExtendedProperties` | `getExtendedProperties(Configuration config)` Convert a Configuration class into a ExtendedProperties class.
`static Map` | `getMap(Configuration config)` Convert a Configuration class into a Map class.
`static Properties` | `getProperties(Configuration config)` Convert a Configuration class into a Properties class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConfiguration

    public static Configuration getConfiguration(ExtendedProperties eprops)

  Convert a ExtendedProperties class into a Configuration class.

  Parameters:
    `eprops` - ExtendedProperties object to convert
  Returns:
    Configuration created from the ExtendedProperties

### getConfiguration

    public static Configuration getConfiguration(Properties props)

  Convert a standard Properties class into a configuration class.

  Parameters:
    `props` - properties object to convert
  Returns:
    Configuration configuration created from the Properties

### getExtendedProperties

    public static ExtendedProperties getExtendedProperties(Configuration config)

  Convert a Configuration class into a ExtendedProperties class.

  Parameters:
    `config` - Configuration object to convert
  Returns:
    ExtendedProperties created from the Configuration

### getProperties

    public static Properties getProperties(Configuration config)

  Convert a Configuration class into a Properties class. List properties are joined into a string using the delimiter of the configuration if it extends AbstractConfiguration, and a comma otherwise.

  Parameters:
    `config` - Configuration object to convert
  Returns:
    Properties created from the Configuration

### getMap

    public static Map getMap(Configuration config)

  Convert a Configuration class into a Map class.

  Parameters:
    `config` - Configuration object to convert
  Returns:
    Map created from the Configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.